﻿package  {
	import flash.display.MovieClip;
	import flash.geom.Point;
	public class Penguin extends Actor {
		var pos0:Point = new Point;
		var pos1:Point = new Point;
		var lerpT:Number = 0;
		var killed:Boolean = false;
		var topScale:Number = 0;
		
		public function Penguin() {
			AddToLayer(g.layerPenguin);
			topScale = kClip.kTopHead.scaleX;
			AddEventListener(GEvent.Tick, Tick);
			kClip.gotoAndStop("idle");
			gotoAndStop(1);
		}
		
		public function SetPosition(_x:Number, _y:Number):void {
			pos0 = new Point(_x, _y);
			pos1 = new Point(_x, _y);
		}
		
		public function LerpTo(_x:Number, _y:Number):void {
			pos0.x = x;
			pos0.y = y;
			pos1.x = _x;
			pos1.y = _y;
			lerpT = 0;
		}
		
		public function Tick(e:GEvent):void {
			lerpT = Misc.Saturate(lerpT + T.dt * 10.0);
			x = Misc.Lerp(pos0.x, pos1.x, lerpT);
			y = Misc.Lerp(pos0.y, pos1.y, lerpT);
			if (Math.abs(pos0.x - pos1.x) > 1) {
				if (kClip.currentFrame == 1) {
					kClip.gotoAndPlay("run");
				}
			}
			else {
				kClip.gotoAndStop("idle");
			}
			
			if (Math.abs(pos1.x - pos0.x) > 1) {
				if (pos1.x < pos0.x)
					scaleX = 1;
				else
					scaleX = -1;
			}
			
			if (g.crosshair) {
				var diff:Number = g.crosshair.x - x - g.layerLevel.x;
				//if (Math.abs(diff) > 10.0) {
					if (diff < 0)
						kClip.kTopHead.scaleX = topScale * scaleX;
					else
						kClip.kTopHead.scaleX = -topScale * scaleX;
				//}
			}
		}
		
		public function Die():void {
			killed = true;
			gotoAndPlay(2);
		}
	}
}










































