package  {
	import flash.display.MovieClip;
	import flash.geom.Point;
	public class Enemy extends Actor {
		var type:int;
		var pos0:Point = new Point;
		var pos1:Point = new Point;
		var lerpT:Number = 0;
		var clip:MovieClip = null;
		var dieing:Boolean = false;
		
		public function Enemy(_x:Number, _y:Number, _type:int) {
			x = _x;
			y = _y;
			type = _type;
			AddToLayer(g.layerEnemies);
			AddToContainer(g.enemies);
			AddEventListener(GEvent.Tick, Tick);
			
			SetPosition(x, y);
			
			if (type == 1)
				clip = new _Enemy1;
			else if (type == 2)
				clip = new _Enemy2;
			addChild(clip);
		}
		
		public function Die():void {
			dieing = true;
			//visible = false;
			clip.gotoAndPlay(2);
		}
		
		public function Revive():void {
			//visible = true;
			clip.gotoAndStop(1);
		}
		
		public function SetPosition(_x:Number, _y:Number):void {
			pos0 = new Point(_x, _y);
			pos1 = new Point(_x, _y);
		}
		
		public function LerpTo(_x:Number, _y:Number):void {
			pos0.x = x;
			pos0.y = y;
			pos1.x = _x;
			pos1.y = _y;
			lerpT = 0;
		}
		
		public function Tick(e:GEvent):void {
			if (!dieing) {
				lerpT = Misc.Saturate(lerpT + T.dt * 10.0);
				//trace(lerpT);
				x = Misc.Lerp(pos0.x, pos1.x, lerpT);
				y = Misc.Lerp(pos0.y, pos1.y, lerpT);
				if (pos1.x < pos0.x)
					scaleX = 1;
				else
					scaleX = -1;
			}
		}
	}
}