﻿package  {
	import flash.display.MovieClip;
	public class Hud extends Actor {
		var heads:Array = new Array;
		
		public function Hud() {
			AddToLayer(g.layerUI);
			AddEventListener(GEvent.Tick, Tick);
			
			kSpaceBar.gotoAndStop(1);
			kMouse.gotoAndStop(1);
			kLeft.gotoAndStop(1);
			kRight.gotoAndStop(1);
			
			heads.push(head1);
			heads.push(head2);
			heads.push(head3);
			
			kLevelName.gotoAndStop(1);
			
			var i:int;
			for (i = 0; i < heads.length; i++) {
				heads[i].head.gotoAndStop(i + 1);
				heads[i].kName.text = "";
				heads[i].kDisc.visible = false;
				heads[i].kYou.visible = false;
			}
			heads[0].kStatus.text = "(Running)";
			heads[1].kStatus.text = "(Jumping)";
			heads[2].kStatus.text = "(Shooting)";
		}
		
		public function Refresh():void {
			var i:int;
			for (i = 0; i < g.humans.length; i++) {
				heads[i].kName.text = g.humans[i].name;
			}
		}
		
		public function Tick(e:GEvent):void {
			kLevelName.gotoAndStop(g.currLevel);
			kLeft.gotoAndStop(g.cont_left? 2 : 1);
			kRight.gotoAndStop(g.cont_right? 2 : 1);
			kSpaceBar.gotoAndStop(g.cont_space? 2 : 1);
			kMouse.gotoAndStop(g.cont_click? 2 : 1);
		}
	}
}
